--- a/meson.build
+++ b/meson.build
@@ -9,12 +9,12 @@ gir = find_program('g-ir-scanner', requi
 vapigen = find_program('vapigen', required: false)
 vala = find_program('valac', required: false)
 
-introspection_available = gir.found() and not get_option('disable-introspection')
-vapi_available = introspection_available and vapigen.found() and not get_option('disable-vala')
+introspection_available = gir.found() and get_option('introspection')
+vapi_available = introspection_available and vapigen.found() and get_option('vapi')
 
 subdir('gexiv2')
 
-if get_option('enable-gtk-doc')
+if get_option('gtk_doc')
   subdir('docs')
 endif
 
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -1,5 +1,5 @@
-option('enable-gtk-doc', type: 'boolean', value: false, description: 'Enable generating the API reference (depends on GTK-Doc)')
-option('disable-introspection', type: 'boolean', value : false, description: 'Disable GObject Introspection')
-option('disable-vala', type: 'boolean', value: false, description: 'Disable generation of vala vapi file')
+option('gtk_doc', type: 'boolean', value: false, description: 'Enable or disable generating the API reference (depends on GTK-Doc)')
+option('introspection', type: 'boolean', value : true, description: 'Enable or disable GObject Introspection')
+option('vapi', type: 'boolean', value: true, description: 'Enable or disable generation of vala vapi file')
 option('python2-girdir', type: 'string', value : 'auto', description : 'Installation dir for PyGObject2 overrides (default = auto, no disables python2)')
 option('python3-girdir', type: 'string', value : 'auto', description : 'Installation dir for PyGObject3 overrides (default = auto, no disables python3)')
